
Core - Bug # 51358

Task # 49162 (Resolved): Rewrite install tool

Status: Closed Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-08-26 Assigned To: Christian Kuhn
Updated: 2015-06-05 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Display warning if AdditionalConfiguration.php is not empty during upgrading
Description

The "silent" upgrade wizard from localconf.php to LocalConfiguration.php should display a message box "hey, i've found stuff in
localconf.php that is not the usual array magic of TYPO3_CONF_VARS, so I moved this stuff to AdditionalConfiguration and you may
want to have an eye on that".

The reason for that is that if there is code in localconf.php it is often some weird extension list manipulation stuff or similar that may no
longer work if separated to LocalConfiguration / AdditionalConfiguration. It would be cool if the system could at least give some hint
that something may be wrong now and the automatic upgrade may have failed.

History
#1 - 2015-01-17 19:28 - Mathias Schreiber
- Status changed from New to Needs Feedback
- Assigned To set to Christian Kuhn
- Is Regression set to No

Any status update here?

#2 - 2015-06-05 23:14 - Georg Ringer

IMO we can close this, no changes for 4.5 will be done anymore

#3 - 2015-06-05 23:14 - Georg Ringer
- Status changed from Needs Feedback to Closed
